package net.northking.cctp.common.s3;

/**
 * 附件消息生产者
 */
public interface AttachmentProducer
{
  String RoutingKey = "Q.CCTP.ATTACHMENT";

  /**
   * 推送新增附件消息
   *
   * @param nkFile 附件
   */
  void process(NKFile nkFile);

  /**
   * 推送删除附件的消息
   *
   * @param tenantId 租户ID
   * @param fileId   附件ID
   */
  void delete(String tenantId, String fileId);
}
